> For the complete documentation index, see [llms.txt](https://docs.unimarket.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unimarket.com/api-reference/getting-started/readme.md).

# Overview

The Nova Public API provides developers with a powerful and flexible way to interact with the Nova Public API platform programmatically. It offers end points to view suppliers and integrate into external applications.

The API is available on the following tenants

1. AU ⇒ <https://api.unimarket.com.au/public/community>
2. NZ ⇒ <https://api.unimarket.co.nz/public/community>
3. US ⇒ <https://api.unimarket.com/public/community>
4. DEMO ⇒ <https://api.unimarket-demo.com/public/community>

This API is RESTful and supports standard HTTP method like `GET`, `POST`, `PATCH`, and `DELETE`.

**Key Features**

**OpenAPI spec**

[Download the OpenAPI specification](https://api.unimarket.com/public/nova-public-api.yaml)

[Jump to endpoint list](#available-endpoints)

### Available endpoints

* `GET /suppliers` — List suppliers
* `GET /suppliers/{id}` — Get supplier details
* `GET /suppliers/{supplierId}/contacts` — List supplier contacts
* `GET /suppliers/{supplierId}/remittance-addresses` — List supplier remittance addresses

### Authentication and rate limits

Authentication is required for API requests.

Send your access token in the `Authorization` header:

```bash
Authorization: Bearer YOUR_TOKEN
```

If authentication is missing or invalid, the API can return `401 Unauthorized`.

If your token does not have access, the API can return `403 Forbidden`.

Rate limits are not defined in the current OpenAPI spec.

Confirm any request limits with your Nova contact before production use.

### Example requests

Use the base URL for your region:

* `https://api.unimarket.com/public/community`
* `https://api.unimarket.com.au/public/community`
* `https://api.unimarket.co.nz/public/community`
* `https://api.unimarket-demo.com/public/community`

Replace `YOUR_TOKEN` and UUID values before sending requests.

#### List suppliers

```bash
curl --request GET \
  --url 'https://api.unimarket.com/public/community/suppliers?page=0&size=20&sort=name,asc&query=Acme%20Corp' \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Accept: application/json'
```

#### Get supplier details

```bash
curl --request GET \
  --url 'https://api.unimarket.com/public/community/suppliers/123e4567-e89b-12d3-a456-426614174000' \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Accept: application/json'
```

#### List supplier contacts

```bash
curl --request GET \
  --url 'https://api.unimarket.com/public/community/suppliers/123e4567-e89b-12d3-a456-426614174000/contacts?page=0&size=20' \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Accept: application/json'
```

#### List supplier remittance addresses

```bash
curl --request GET \
  --url 'https://api.unimarket.com/public/community/suppliers/123e4567-e89b-12d3-a456-426614174000/remittance-addresses?page=0&size=20&sort=companyName,asc&modifiedSince=2024-01-01T00:00:00Z' \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Accept: application/json'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unimarket.com/api-reference/getting-started/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
